#
# spec file for package sysbench
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 0.5.0+git.20160610
Name:           sysbench
Version:        0.5.0+git.20160610
Release:        3.2
Summary:        A MySQL benchmarking tool
License:        GPL-2.0
Group:          System/Benchmark
Url:            https://github.com/akopytov/sysbench
Source0:        %{name}-%{version}.tar.xz
Source1:        %{name}-example-tests.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  docbook
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  help2man
BuildRequires:  libaio-devel
BuildRequires:  libtool
BuildRequires:  libxslt-tools
BuildRequires:  mysql-devel
BuildRequires:  openssl-devel
BuildRequires:  postgresql-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This benchmark was designed for identifying basic system parameters, as
they are important for systems using MySQL (w Innodb) under intensive
load.

%prep
%setup -q
%setup -q -T -D -a 1

%build
autoreconf -fiv
%configure \
	--with-pgsql
make %{?_smp_mflags}

%install
%make_install
help2man ./sysbench/sysbench > sysbench.1
install -D -m 0644 sysbench.1 %{buildroot}%{_mandir}/man1/sysbench.1
install -D -m 0755 sysbench-example-tests/sysbench-example-test       %{buildroot}%{_datadir}/sysbench/sysbench-example-test
install -D -m 0755 sysbench-example-tests/sysbench-example-all-tests  %{buildroot}%{_datadir}/sysbench/sysbench-example-all-tests
rm -rf %{buildroot}%{_datadir}/doc/sysbench

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README.md doc/manual.html
%{_bindir}/sysbench
%{_mandir}/man1/sysbench.1%{ext_man}
%{_datadir}/sysbench

%changelog
* Sun Jun 12 2016 mpluskal@suse.com
- Update to version 0.5.0+git.20160610:
  * Fixes #44: seqwr deleting test files
  * Duplicate line
  * added locking to get_request in lua scripting
  * Don't lock thread mutex unnecessarily in script_lua.c and sb_cpu.c.
  * Fix crash introduced by commit 9244fcf.
  * Adding volatile modifier to tmp variable in memory test
* Sat Apr 16 2016 mpluskal@suse.com
- Update to version 0.5.0+git.20160414:
  * Fix the issue when threads running < num_threads
  * Fixes #22: Timers and reporting thread should wait for worker
    thread to be initialized
  * Fix barrier error reporting.
  * Fixes #25: Include database-related command line options in
    help
  * Fixes #29: FATAL: Failed to read file! file: 24 pos: 14516224
    errno = 0 (Success)
  * Fix prepare parallel for new thread initialization
  * Revert "Fix the issue when threads running < num_threads"
  * adjust event generation for a high volume
* Mon Mar 21 2016 mpluskal@suse.com
- Update to version 0.5.0~git.20160318:
  + Some minor improvements to bulk_insert.lua
  + Minor cleanups in bulk_insert.lua.
  + Print the number of actually running threads instead of the
    configured --num-threads value for intermediate reports. This
    can make a big difference with network benchmarks to diagnose
    TCP-related issues like SYN flood protection, throttling,
    backlog issues, etc.
  + Fix mutex_get_request() signature.
  + Update GPLv2 text in COPYING with the current version from
    https://gnu.org/licenses/gpl-2.0.txt.
  + Update copyrights and FSF address.
  + Fixes #17: Lua script without DB access crashes sysbench.
  + Fixes #22: Timers and reporting thread should wait for worker
    thread to be initialized
  + Fix barrier error reporting.
  + Fixes #25: Include database-related command line options in
    help
- Generate manpage
* Tue Mar  1 2016 mpluskal@suse.com
- Update to 0.5.0~git.20160223
- Add _service
- Some spec file cleanups
* Mon Mar 30 2015 mpluskal@suse.com
- Remove ctcs2 remains
- Update project url
- Enable postgresql support
* Mon Sep  1 2014 dsterba@suse.cz
- update from launchpad, revision 122:
  - Bug #1354419: Sysbench configure mishandles "--with-pgsql-includes"
* Tue Jul 22 2014 dsterba@suse.cz
- update from launchpad, revision 121:
  * Fixed ‘make dist’ by removing oltp_complex_ro.lua and
    oltp_complex_rw.lua and adding oltp.lua, parallel_prepare.lua,
    select_random_points.lua and select_random_ranges.lua
- clean spec
* Tue Jan 21 2014 dsterba@suse.com
- update from launchpad, revision 120:
  * Merged lp:~ignacio-nin/sysbench/0.5-bug1262178 and ixed the _WIN32
    codepath to correctly handle FlushViewOfFile return value.
  * Bug #1208530: Allow sysbench to round-robin on multiple sockets
- clean up spec file
- removed patches:
  * automake-1.12.patch
* Wed Aug 28 2013 monex@liquid-co.de
- correct requires
* Thu Jun 27 2013 monex@liquid-co.de
- update to revision 117
* Tue Jul 31 2012 monex@liquid-co.de
- added patch for build with automake 1.12
* Tue Jul 31 2012 monex@liquid-co.de
- fix patch
* Tue Jul 31 2012 monex@liquid-co.de
- added patch for build with automake 1.12
* Wed Jun  6 2012 monex@liquid-co.de
- added libtool to requires
* Wed Jun  6 2012 monex@liquid-co.de
- added automake and gcc-c++ to requires
* Thu May 17 2012 monex@liquid-co.de
- update to version 0.5.0 revision 105 from
  https://code.launchpad.net/~sysbench-developers/sysbench/0.5
* Tue Jul 28 2009 fhe@novell.com
- add sysbench-wrong-option-mysql_table.diff (BNC#439747)
- fix the script sysbench-example-test  when run test=oltp with the wrong option
* Tue Mar 31 2009 vmarsik@suse.cz
- added benchmark TCF + scripts
- fixed relative paths in the start scripts, removed separate patch
* Thu Jul 31 2008 yxu@suse.de
- modified the sysbench-run file so that
  all test_file* are removed automatically after test finished
* Thu Jun 26 2008 pkirsch@suse.de
- added sub package ctcstools for ctcs2 integration
- included several definied testcase and workload
* Mon Oct 29 2007 pkirsch@suse.de
- fixed thread-concurency in sb_fileio.c, so that --validate=on
  works without throwing FATAL messages
* Thu Oct 11 2007 pkirsch@suse.de
- added sysbench-example-all-tests, which should make use of
  sysbench's available variations
* Fri Oct  5 2007 pkirsch@suse.de
- update to version 0.4.8
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue May 17 2005 trenn@suse.de
- fixed gcc 4.0 warnings -> posix_memalign return value needs to
  be checked
* Mon Apr 11 2005 trenn@suse.de
- fixed gcc 4.0 warnings -> struct not initialised
* Sun Mar  6 2005 ro@suse.de
- fix example-tests tarball
* Wed Mar  2 2005 trenn@suse.de
- corrected the sysbench-example-tests script
* Tue Feb 22 2005 trenn@suse.de
- initiale checkin
